from entity import Entity, Actor
from components.base_ai import BaseAI, AttackOnSight
from components.fighter import Fighter

player = Actor(
	char = "@",
	color = (255, 255, 255),
	name = "Player",
	walkable = False,
	ai_class = BaseAI,
	fighter = Fighter(hp = 10, attack = 2, defense = 0),
)

#gobbos
gobbo = Actor(
	char = "g",
	color = (30, 168, 41),
	name = "Gobbo",
	walkable = False,
	ai_class  = AttackOnSight,
	fighter = Fighter(hp = 5, attack = 2, defense = 0),
)

gobbo_red = Actor(
	char = "g",
	color = (168, 41, 30),
	name = "Red Gobbo",
	walkable = False,
	ai_class  = AttackOnSight,
	fighter = Fighter(hp = 5, attack = 2, defense = 1),
)
